For AI agents: a documentation index is available at /llms.txt. A markdown version of this page is available at /guide/api/endpoints/checklist/checklists-groups-create.md.
Create a custom checklist group
Creates a custom catalogue group (type/issystem forced server-side).
POST
/api/v1/partner/checklists/groups/createCreates a custom catalogue group (type/is_system forced server-side). Payload: {name*, color?, is_active?}.
#Authorizations
X-API-KEYstringrequiredDeveloper API key (starts with osk_)
Example: osk_1234567890abcdef1234567890abcdef
#Headers
AcceptstringrequiredContent type of response
Example: application/json
Content-TypestringrequiredContent type of request
Example: application/json
#Request body
encrypted_datastringrequired#Responses
201Created
400Validation error (e.g. duplicate name)
401Unauthorized